Subject: Re: [PATCHv2] git-remote-testgit: fix race when spawning fast-import

From: Junio C Hamano <[email-masked]>
Date: Sun, 22 Apr 2012 19:40:59 -0700

Pete Wyckoff <[email-masked]> writes:

> Clemens suggested disabling the test by default, as I've done
> here.  I think it would be okay to remove it entirely, too.

Ok.

> +# Generally, skip this test.  It demonstrates a now-fixed
> +# race in git-remote-testgit, but is too slow to leave in
> +# for general use.
> +test_expect_success DEBUG_TESTGIT_RACE 'racily pushing to local repo' '
> +	cp -a server server2 &&
> +	git clone "testgit::${PWD}/server2" localclone2 &&
> +	test_when_finished "rm -rf server2 localclone2" &&

Shouldn't test_when_finished come before these two commands?  Otherwise
server2 or localclone2 directories will be left behind when they fail
before control reaches it...